﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EduNetworkBuilder
{
    /// <summary>
    /// A class holding a project that needs to be done as either a test, quiz, or homework
    /// </summary>
    public class SchoolworkClass
    {
        Network theProject = null;
        /// <summary>
        /// The name of the project.  Homework3, Quiz 4, etc.
        /// </summary>
        string Name = "";
        /// <summary>
        /// The short description of the project.
        /// </summary>
        string Description = "";
        /// <summary>
        /// The class to which this project belongs.  If the student is using this for multiple classes,
        /// but more likely just for the teacher to organize things with.
        /// </summary>
        string Class = "";
        /// <summary>
        /// The date / time that the project is due.
        /// </summary>
        DateTime DueDate;

        bool isMaster = false; //Is this the original project?  If so, we never replace it.

        bool IsSumbitted = false; //Is the student submitting this?  If so, date-stamp it and lock it.
        DateTime SaveDate; //The date this file was saved.
    }
}
